#!/bin/bash

DBNAME=smseagle

#update table user_settings
SQL1="alter table "user_settings" add "multimodemstrategy" varchar(100) not null default 0;"
SQL2="alter table "user_settings" add "modemfailover" varchar(100) not null default 0;"
SQL3="alter table "user_settings" add "lastusedmodem" varchar(100) not null default 0;"
SQL4="update "user_settings" set "multimodemstrategy" = 'roundrobin';"
SQL5="update "user_settings" set "modemfailover" = 'true';"
psql -U postgres ${DBNAME} --command="$SQL1"
psql -U postgres ${DBNAME} --command="$SQL2"
psql -U postgres ${DBNAME} --command="$SQL3"
psql -U postgres ${DBNAME} --command="$SQL4"
psql -U postgres ${DBNAME} --command="$SQL5"

#add table modem_failover_state
SQL1="CREATE TABLE "modem_failover_state" (
  "modem_no" integer PRIMARY KEY,
  "modem_sending_state" varchar(20) NOT NULL
);"
SQL2="INSERT INTO "modem_failover_state" VALUES(1, 'ok');"
SQL3="INSERT INTO "modem_failover_state" VALUES(2, 'ok');"
psql -U postgres ${DBNAME} --command="$SQL1"
psql -U postgres ${DBNAME} --command="$SQL2"
psql -U postgres ${DBNAME} --command="$SQL3"

#modify permissions for changes
SQL1="GRANT SELECT, INSERT, UPDATE, DELETE, TRUNCATE ON ALL TABLES IN SCHEMA public TO smseagleuser;"
SQL2="GRANT USAGE,SELECT ON ALL SEQUENCES IN SCHEMA public TO smseagleuser;"
psql -U postgres ${DBNAME} --command="$SQL1"
psql -U postgres ${DBNAME} --command="$SQL2"
